### Class

# PapersView AnnotationModel

#### Description

    final class PapersView.AnnotationModel : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### pps_annotation_model_new

No description available.

#### Instance methods

###### pps_annotation_model_get_eraser_objects

No description available.

###### pps_annotation_model_get_eraser_radius

No description available.

###### pps_annotation_model_get_font_desc

No description available.

###### pps_annotation_model_get_highlight_color

No description available.

###### pps_annotation_model_get_highlight_radius

No description available.

###### pps_annotation_model_get_pen_color

No description available.

###### pps_annotation_model_get_pen_radius

No description available.

###### pps_annotation_model_get_text_color

No description available.

###### pps_annotation_model_get_tool

Gets the current tool of the annotation model.

since: 48.0

###### pps_annotation_model_set_eraser_radius

No description available.

###### pps_annotation_model_set_font_desc

No description available.

###### pps_annotation_model_set_font_size

No description available.

###### pps_annotation_model_set_highlight_color

No description available.

###### pps_annotation_model_set_highlight_radius

No description available.

###### pps_annotation_model_set_pen_color

No description available.

###### pps_annotation_model_set_pen_radius

No description available.

###### pps_annotation_model_set_text_color

No description available.

###### pps_annotation_model_set_tool

Sets the current tool of the annotation model.

since: 48.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### PapersView.AnnotationModel:active-tool-str

No description available.

###### PapersView.AnnotationModel:eraser-objects

No description available.

###### PapersView.AnnotationModel:eraser-radius

No description available.

###### PapersView.AnnotationModel:highlight-color

No description available.

###### PapersView.AnnotationModel:highlight-radius

No description available.

###### PapersView.AnnotationModel:pen-color

No description available.

###### PapersView.AnnotationModel:pen-radius

No description available.

###### PapersView.AnnotationModel:text-color

No description available.

###### PapersView.AnnotationModel:text-font

No description available.

###### PapersView.AnnotationModel:text-font-size

No description available.

###### PapersView.AnnotationModel:tool

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct PapersViewAnnotationModelClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.